import dynamix_sdk.base as _base


class CloudapiComputeMoveToRgResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeMoveToRgProtocol(_base.BasePostAPIFunctionProtocol):
    def move_to_rg(
        self,
        *,
        vm_id: int,
        rg_id: int,
        new_vm_name: str | None = None,
        auto_start: bool = False,
        force_stop: bool = False,
    ) -> CloudapiComputeMoveToRgResultBool:
        ...
